const app = getApp()
const GsIdo = require('../../utils/gsido-min')
Page({
  data: {
    appid: 'A888n2pctF4BRpX7km8888',
    version: '',
    oneid: '',
  },
  onLoad: function () {
    //设置用户id
    //GsIdo.setUserId("123")

    let that = this
    this.setData({
      version: GsIdo.getVersion()
    })
  },
  onEvent() {
    GsIdo.onEvent({
      //事件id
      id: 'id00' + Math.floor(Math.random() * 100),
      //自定义属性，注意value的类型只能是string|number|Date|boolean
      attrs: new Map([
        ['key_string', 'this is a string'],
        ['key_number', 111],
        ['key_date', new Date()],
        ['key_boolean', true]
      ])
    })
  },
  beginEvent() {
    GsIdo.onBeginEvent({
      //事件id
      id: 'event_2',
      //自定义属性，注意value的类型只能是string|number|Date|boolean
      attrs: new Map([
        ['key_string', 'event_2']
      ])
    });
  },
  endEvent() {
    GsIdo.onEndEvent({
      id: 'event_2'
    });
  },
  setProfile() {
    let map = new Map();
    map.set("name", "zhangs");
    map.set("age", Math.floor(Math.random() * 100));
    GsIdo.setProfile({
      attrs: map,
      ext: "this is ext"
    });
  },
  toJump() {
    wx.navigateTo({
      url: '/pages/view/view?source=jumpfromindex',
    })
  },
})